Bug 229973 - www/tomcat9: Silence portlint warnings and modernize and Mark additional config files with @sample
Summary: www/tomcat9: Silence portlint warnings and modernize and Mark additional conf...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-07-23 01:20 UTC by VVD
Modified: 2018-08-05 20:14 UTC (History)
2 users (show)

See Also:
vvd: maintainer-feedback+


Attachments
Silence portlint warnings and modernize and Mark additional config files with @sample (8.39 KB, patch)
2018-07-23 01:20 UTC, VVD
vvd: maintainer-approval+
Details | Diff
Fixed use of @samle in optional components (2.97 KB, patch)
2018-07-28 23:43 UTC, VVD
vvd: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description VVD 2018-07-23 01:20:26 UTC
Created attachment 195380 [details]
Silence portlint warnings and modernize and Mark additional config files with @sample

Silence portlint warnings and modernize like tomcat85: https://svnweb.freebsd.org/changeset/ports/460151

Mark additional config files with @sample: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=229102

Tested on 11.2 amd64.
Comment 1 VVD 2018-07-23 01:20:59 UTC
Tomcat 9.0.10 coming soon.
Comment 2 commit-hook freebsd_committer 2018-07-26 16:43:18 UTC
A commit references this bug:

Author: swills
Date: Thu Jul 26 16:42:35 UTC 2018
New revision: 475385
URL: https://svnweb.freebsd.org/changeset/ports/475385

Log:
  www/tomcat9: mark additional config files with @sample

  While here, modernize and pet portlint

  PR:		229973
  Submitted by:	VVD <vvd@unislabs.com> (maintainer)

Changes:
  head/www/tomcat9/Makefile
  head/www/tomcat9/pkg-plist
Comment 3 Steve Wills freebsd_committer 2018-07-26 16:43:44 UTC
Committed, thanks!
Comment 4 VVD 2018-07-28 23:43:01 UTC
Created attachment 195561 [details]
Fixed use of @samle in optional components

Found bug in last patch and fixed it.
Comment 5 Danilo G. Baio freebsd_committer 2018-07-29 17:11:54 UTC
pkg-plist needs to be fixed
Comment 6 VVD 2018-07-29 21:50:45 UTC
(In reply to Danilo G. Baio from comment #5)
> pkg-plist needs to be fixed
Last patch fixed it.
Comment 7 VVD 2018-08-05 19:39:31 UTC
Ping!

It's fixed - commit my last patch.
Comment 8 commit-hook freebsd_committer 2018-08-05 20:13:14 UTC
A commit references this bug:

Author: dbaio
Date: Sun Aug  5 20:13:02 UTC 2018
New revision: 476472
URL: https://svnweb.freebsd.org/changeset/ports/476472

Log:
  www/tomcat9: Fix plist when using options HOST_MANAGER and MANAGER

  PR:		229973
  Submitted by:	VVD <vvd@unislabs.com> (maintainer)

Changes:
  head/www/tomcat9/Makefile
  head/www/tomcat9/pkg-plist
Comment 9 Danilo G. Baio freebsd_committer 2018-08-05 20:14:29 UTC
Done, thanks!